##### ip::address_v6::scope_id (2 of 2 overloads)

The scope ID of the address.

    void scope_id(
        scope_id_type id);

Modifies the scope ID associated with the IPv6 address.

###### Parameters

id

  The new scope ID.

Copyright © 2003-2025 Christopher M. Kohlhoff

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)